Subject: [Iasa20] AD evaluation: draft-ietf-iasa2-trust-update

From: Alissa Cooper <[email-masked]>
Date: Fri, 21 Sep 2018 16:57:02 -0400

I have evaluated this draft. I believe it is ready to proceed to IETF LC. Please address the comments below together with any LC comments.

1. Please add a security considerations section and an IANA considerations section, even if they will be indicating that no such considerations exist.

2. I wonder if it would be prudent to give the first nomcom making the first three appointments under this structure a bit of flexibility in case the appointments are not made precisely in time for IETF 104 (in which case the one-, two-, and three-“year” appointments would not precisely follow the definition of “year” used in RFC 7437 Section 3.4). Perhaps adding a sentence along these lines to the second-to-last paragraph of Section 2 would cover this: "If the initial selection occurs after IETF 104, the initial terms should still conclude one, two, and three years, respectively, after IETF 104.”

Thanks,
Alissa

---

From: "John Levine" <[email-masked]>
Date: 21 Sep 2018 19:00:46 -0400

In article <[email-masked]> you write:
>2. I wonder if it would be prudent to give the first nomcom making the first three appointments under this structure a bit of
>flexibility in case the appointments are not made precisely in time for IETF 104 (in which case the one-, two-, and three-“year”
>appointments would not precisely follow the definition of “year” used in RFC 7437 Section 3.4). Perhaps adding a sentence along
>these lines to the second-to-last paragraph of Section 2 would cover this: "If the initial selection occurs after IETF 104, the
>initial terms should still conclude one, two, and three years, respectively, after IETF 104.”

I think this is a one-time detail that doesn't need to be in the RFC.
The update to the trust agreement will say something reasonable about
the transition period.

R's,
John

---

From: "Deen, Glenn" <[email-masked]>
Date: Fri, 21 Sep 2018 23:10:53 +0000

Question - where is it declared that serving as a Trustee does not make you ineligible to for other positions including IESG, IAB and LLC Board?

-glenn

On 9/21/18, 1:57 PM, "iasa20 on behalf of Alissa Cooper" <[email-masked] on behalf of [email-masked]> wrote:

    
    
    Thanks,
    Alissa
    _______________________________________________
    iasa20 mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/iasa20

---

From: "John Levine" <[email-masked]>
Date: 21 Sep 2018 19:28:17 -0400

>Question - where is it declared that serving as a Trustee does not make you ineligible to for other positions including IESG, IAB

If it says it anywhere, it'd presumably in the revised Eligible
Persons section of the trust agreement.  But I don't see why it needs
to be declared anywhere.

Anyone who's selected by one of the appointing bodies can be a
trustee.  They're deliberately not term limited, either.

R's,
John

---

From: "Deen, Glenn" <[email-masked]>
Date: Fri, 21 Sep 2018 23:29:28 +0000

I expect nomcom will want explicit instructions on this. So it needs to be documented somewhere.

-glenn

On 9/21/18, 4:28 PM, "John Levine" <[email-masked]> wrote:

    
    
    R's,
    John

---

From: Bob Hinden <[email-masked]>
Date: Fri, 21 Sep 2018 16:47:21 -0700

John,

> On Sep 21, 2018, at 4:00 PM, John Levine <[email-masked]> wrote:
> 

Where is the revised/proposed trust agreement?

Thanks,
Bob

---

From: "John R Levine" <[email-masked]>
Date: 21 Sep 2018 19:55:28 -0400

> Where is the revised/proposed trust agreement?

Brad's working on it, should be ready in a week or two.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 22 Sep 2018 12:06:07 +1200

> Where is the revised/proposed trust agreement?

Here's how it was done the last time the trust agreement was modified:

https://mailarchive.ietf.org/arch/msg/ietf-announce/fCxjOFBH1Z6Ar0-NYIaVWdX5dHE

    Brian

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 21 Sep 2018 20:19:42 -0400

> On Sep 21, 2018, at 7:00 PM, John Levine <[email-masked]> wrote:
> 

I would feel more comfortable with this if we could hear from Scott about his interpretation of the term lengths.

Alissa

---

From: Bob Hinden <[email-masked]>
Date: Fri, 21 Sep 2018 17:27:48 -0700

Brian,

> On Sep 21, 2018, at 5:06 PM, Brian E Carpenter <[email-masked]> wrote:
> 

Something similar would be appropriate.

Thanks,
Bob

---

From: Scott Mansfield <[email-masked]>
Date: Sat, 22 Sep 2018 10:56:05 +0000

With my NomCom chair hat on... having guidance specifically on exclusivity of the role would be appreciated.  

The nomcom has already requested guidance on how to deal with the terms related to the LLC.

Regards.
-scott.

Sent from my iPhone

> On Sep 21, 2018, at 19:29, Deen, Glenn <[email-masked]> wrote:
>

---

From: Andrew Sullivan <[email-masked]>
Date: Sat, 22 Sep 2018 10:15:10 -0400

I'm not sure the RFC is the right place for that guidance to the nomcom. It 
might change over time, so I suspect it'd be better to put it in the 
regular guidance nomcom gets.

A

--
Please excuse my clumbsy thums
----------
On September 22, 2018 06:56:21 Scott Mansfield 
<[email-masked]> wrote:

>>> Question - where is it declared that serving as a Trustee does not make you 
>>> ineligible to for other positions including IESG, IAB
>>> and LLC Board?
>>
> ----------

---

From: "John R Levine" <[email-masked]>
Date: 22 Sep 2018 11:25:02 -0400

> With my NomCom chair hat on... having guidance specifically on exclusivity of the role would be appreciated.

There is no exclusivity at all.  You can appoint anyone you want as IETF 
trustees.  The current trustees include the ISOC CEO, an ISOC board member 
(me), the IETF chair, and the IAB chair but that's just because we're the 
IAOC members.

Any advice we offer about who to appoint will be non-normative so I'd 
think it belongs in the informal advice from the trust, not in an RFC.

Personally, I'd like to see people who are familiar with copyright and 
trademark law since that's what the trust does.  (Quiz: what are the four 
factors of fair use?  What is the Lanham Act?)  It'd also be good if 
trustees are willing to serve multiple terms, since institutional memory 
counts for a lot on the trust, changing trustees is expensive because it 
requires our lawyer to update all of the trademark registrations, and the 
trust is usually not a lot of work.

R's,
John

Regards,

---

From: "John Levine" <[email-masked]>
Date: 22 Sep 2018 11:56:32 -0400

>regular guidance nomcom gets.

What he said.  The LLC is an ongoing work in progress so I wouldn't
put anything in the RFC beyond the hard legal requirements.  We just
don't know how future LLC boards will work.

I would like to assume that future IETFs and future IETF leadership
will be no more stupid or corrupt than the current ones. If some
problem arises, we give them the flexibility to deal with it and they
will do so.  

Also, we are notably bad at guessing what problems actually will
arise.  When we invented the IESG, we came up with a detailed process
to remove a rogue member, which has never happened, but no way to
replace someone who has simply disappeared, which has happened.  So we
went through a kabuki impeachment process which was an unpleasant
waste of time for all involved.  RFCs are a fine place to write down
institutional memory (we chose a captive LLC because it has these
features) but not to try to guess what the future problems will be or
how a future IETF should solve them.

R's.
John

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 23 Sep 2018 08:11:34 +1200

On 2018-09-23 03:25, John R Levine wrote:
> trustees.  

Firstly, I agree with that, because with the Trust being a longer term
activity, ineligibility due to other short-term roles would be a great
nuisance.

Secondly, although this can be formalized in the Trust Agreement, stating
it in draft-ietf-iasa2-trust-update would improve clarity for everybody.
It only needs one sentence, I think.

"Any person may serve as a Trustee and there is no term limit."

   Brian

---

From: "John R Levine" <[email-masked]>
Date: 22 Sep 2018 17:09:57 -0400

> "Any person may serve as a Trustee and there is no term limit."

This is why I really prefer to leave things out that we don't have to say.

The trust is a Virginia common law trust, governed by a long chapter of 
Virginia law.  (Title 64.2, Chapter 7, the Uniform Trust Code.)  While it 
is technically true that the nomcom can appoint anyone they want, there 
are all sorts of reasons unrelated to being on the IESG or IAB that 
someone might not be a good choice.  For example, even though Brad knows 
more about trust and IP law than any of us, it wouldn't be a good idea to 
make him a trustee because anyone who is works for a trust is presumed by 
law to have conflicts, which lead to various legal complexities.

If you mean that being a trustee does not conflict with other positions in 
the IETF or ISOC leadership, say that.  But be sure to limit it to what we 
really mean.

Regards,

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 23 Sep 2018 09:29:22 +1200

> the IETF or ISOC leadership, say that.  But be sure to limit it to what we 

I assume the binding document is the Trust Agreement and that will
certainly be lawyered to avoid such issues. But we have a clear signal
from NomCom that they want clarification, so don't we have to provide
it? (I will refrain from further wordsmithing for now.)

Regards
   Brian

---

From: "John R Levine" <[email-masked]>
Date: 22 Sep 2018 17:36:44 -0400

On Sun, 23 Sep 2018, Brian E Carpenter wrote:
> certainly be lawyered to avoid such issues.

The law says what it says, the trust says what it says, both control the 
way the trust operates.

> But we have a clear signal from NomCom that they want clarification, so 
> don't we have to provide it? (I will refrain from further wordsmithing 
> for now.)

Sure, and the trustees are working on this year's advice.  Why should this 
year's guess about what future trustees might be doing be baked into an 
RFC?

R's,
John

---

From: Harald Alvestrand <[email-masked]>
Date: Sun, 23 Sep 2018 12:04:27 +0200

On 09/22/2018 11:09 PM, John R Levine wrote:
> The trust is a Virginia common law trust, governed by a long chapter
> of Virginia law.  (Title 64.2, Chapter 7, the Uniform Trust Code.) 
> While it is technically true that the nomcom can appoint anyone they
> want, there are all sorts of reasons unrelated to being on the IESG or
> IAB that someone might not be a good choice.  For example, even though
> Brad knows more about trust and IP law than any of us, it wouldn't be
> a good idea to make him a trustee because anyone who is works for a
> trust is presumed by law to have conflicts, which lead to various
> legal complexities.
>
> If you mean that being a trustee does not conflict with other
> positions in the IETF or ISOC leadership, say that.  But be sure to
> limit it to what we really mean.

Shouldn't we say that "IETF rules do not impose any restriction on who
can save as a trustee, or any term limit"?
That acknowledges that we may be subject to other rules, but makes it
clear that we don't intend to impose any.

-- 
Surveillance is pervasive. Go Dark.

---

From: "John Levine" <[email-masked]>
Date: 23 Sep 2018 11:17:06 -0400

In article <[email-masked]> you write:
>can serve as a trustee, or any term limit"?

That sounds right.  I think.

R's,
John